package com.ylx.massage.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ylx.massage.domain.CancelOrderApplication;
import com.ylx.massage.service.CancelOrderApplicationService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 退单申请服务实现类
 *
 * @author claude
 * @date 2025-01-14
 */
@Slf4j
@Service
public class CancelOrderApplicationServiceImpl
        extends ServiceImpl<com.ylx.massage.mapper.CancelOrderApplicationMapper, CancelOrderApplication>
        implements CancelOrderApplicationService {


    @Override
    public String createApplication(String orderId, String cancelReason) {
        return "";
    }

    @Override
    public CancelOrderApplication getInfoByOrderId(String orderId) {
        return null;
    }

    @Override
    public Boolean cancelApplication(String orderId) {
        return null;
    }
}
